<mat-card>
    <mat-card-title>
        ToDo list
    </mat-card-title>
    <mat-card-content>
        <mat-accordion>
            <mat-expansion-panel *ngFor="let list of lists">
                <mat-expansion-panel-header>
                    <mat-panel-title>
                        {{list.name}} ({{list.countTodoDone}}/{{list.todo.length}})
                    </mat-panel-title>
                </mat-expansion-panel-header>
                <app-detail [list]="list"></app-detail>
            </mat-expansion-panel>
        </mat-accordion>
    </mat-card-content>
    <mat-card-actions>
        <mat-form-field appearance="outline">
            <mat-label>New list...</mat-label>
            <input matInput [formControl]="newList">
        </mat-form-field>
        <button mat-button color="primary" (click)="addNewList()">Create</button>
    </mat-card-actions>
</mat-card>